Set deceased info
curl --request PUT \
--url https://api.example.com/v1/cases/{case_id}/deceased \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"date_of_death": "2023-12-25",
"middle_name": "<string>",
"ssn": "123456789",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"email": "jsmith@example.com"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/deceased"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"date_of_death": "2023-12-25",
"middle_name": "<string>",
"ssn": "123456789",
"address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
date_of_death: '2023-12-25',
middle_name: '<string>',
ssn: '123456789',
address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
},
email: 'jsmith@example.com'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/deceased', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"full_name": "John Jonas Johnson",
"first_name": "John",
"middle_name": "Jonas",
"last_name": "Johnson",
"date_of_birth": "1940-03-15",
"date_of_death": "2025-10-01",
"ssn": "***-**-1234",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"email": "jane@example.com",
"verification_level": "level_2"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Deceased
Set deceased info
Create or replace the deceased person’s information. Full SSN is accepted but will be masked in subsequent GET responses.
PUT
/
cases
/
{case_id}
/
deceased
Set deceased info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Full SSN (9 digits, no dashes).
Example:
"123456789"
Show child attributes
Show child attributes
Available options:
level_0, level_1, level_2, level_3 Response
Deceased info set.
Show child attributes
Show child attributes
⌘I

